/*
 * Arduino Workbench tekyinblack 2020 - www.tekyinblack.com
 */
/*
 * setupDigital - routine to initialise digital inputs
 * drawDigitalBox - handle digital display inputs and outputs
 * getDigitalBox - get raw item value
 * logicDrawDigitalBox - display specific code for disgital values
 */
void setupDigital() {
  for (int i=0; i<itemCount;i++) {
    if (workScreens[i][ITEMTYPE] == DIGITAL_BOX) {
      pinMode(workScreens[i][PARAM_1], INPUT);
    }
  }
  
}
void drawDigitalBox(int itemNo) {
  //  routine to draw box on screen representing digital pin status
  struct touchInfo newTouch;                                             
  int pinColour;
  int pinStatus = getDigitalBox(itemNo);
  if (pinStatus == HIGH) {
    pinColour = GREEN;
  }
  else if (pinStatus == LOW){
    pinColour = RED;
  }
    else {
    pinColour = YELLOW;
  }
  if (workMode == MODE_NORMAL) {
      newTouch = logicDrawDigitalBox(workScreens[itemNo][ITEMX], workScreens[itemNo][ITEMY], 40, 40, pinColour);
  //    registerTouch(
  } else if (workMode == MODE_LARGE) {
      newTouch = logicDrawDigitalBox(workScreens[itemNo][ITEMXS], workScreens[itemNo][ITEMYS], 100, 100, pinColour); 
  } else if (workMode == MODE_FULLSCREEN) {
      newTouch = logicDrawDigitalBox(0,50, 480, 270, pinColour); 
  }
  registerTouch(itemNo, newTouch);
}

int getDigitalBox (int itemNo) {
  return digitalRead(workScreens[itemNo][PARAM_1]);
}

struct touchInfo logicDrawDigitalBox(int xval, int yval, int xwidth, int yheight, int drawColour) {
  //  draw digital display box on screen
    tft.fillRect(xval, yval, xwidth, yheight, drawColour);
    return logicTouch(xval, xval + xwidth, yval, yval + yheight);
}
